Bug 17869 - Don't show pick-up library for list of holds in OPAC account when there is only one branch
Summary: Don't show pick-up library for list of holds in OPAC account when there is on...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-01-09 16:46 UTC by Katrin Fischer
Modified: 2019-10-14 19:56 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17869 Holds location removal (2.18 KB, patch)
2018-01-16 03:15 UTC, Grace
Details | Diff | Splinter Review
Bug 17869 Holds location removal (2.22 KB, patch)
2018-03-13 10:09 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 17869: Don't show pick up location on OPAC holds if only one library exists (2.32 KB, patch)
2018-03-13 16:07 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 17869: Don't show pick-up library for list of holds in OPAC account when there is only one branch (3.01 KB, patch)
2018-06-18 18:38 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17869: Don't show pick-up library for list of holds in OPAC account when there is only one branch (3.07 KB, patch)
2018-06-22 06:23 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 17869: Don't show pick-up library for list of holds in OPAC account when there is only one branch (3.12 KB, patch)
2018-06-27 14:18 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-01-09 16:46:25 UTC
When there is only one branch in an installation, it makes no sense to show a pick-up library column in the holds list in the patron account in OPAC.

We should remove it from display, as we do in other spots.
Comment 1 Grace 2018-01-16 03:15:28 UTC Comment hidden (obsolete)
Comment 2 sandboxes@biblibre.com 2018-03-13 10:09:10 UTC
Patch tested with a sandbox, by claude <claude.brayer@cea.fr>
Comment 3 sandboxes@biblibre.com 2018-03-13 10:09:31 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2018-03-13 16:07:00 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2018-03-19 19:16:53 UTC
I do not recreate the bug on master, can you confirm it is still valid?

The singleBranchMode test should do this job.
Comment 6 Katrin Fischer 2018-03-30 13:53:45 UTC
I think the original bug was misunderstood and you are right in that the patch is not needed.
Comment 7 Katrin Fischer 2018-03-30 13:55:13 UTC
What I meant was:

- Make sure you only got 1 library in your installation
- Place a hold, verify there is no pick-up location to select
- Go to the patron account in OPAC
- Go to summary
- Pick tab holds
- Verify you can see a pick-up location column there
Comment 8 Owen Leonard 2018-06-18 18:38:36 UTC
Created attachment 76146 [details] [review]
Bug 17869: Don't show pick-up library for list of holds in OPAC account when there is only one branch

This patch modifies the user summary page in the OPAC so that the
"pick up location" column isn't shown in the table of holds if there is
only one library defined.

To test, apply the patch and log into the OPAC as a user with one or
more holds.

 - In a system with more than one library defined the "Holds" tab of
   opac-user.pl should show a "Pick up location" column.

 - In a system with only one library defined there should be now "Pick
   up location" column.
Comment 9 Katrin Fischer 2018-06-22 06:23:17 UTC
Created attachment 76252 [details] [review]
Bug 17869: Don't show pick-up library for list of holds in OPAC account when there is only one branch

This patch modifies the user summary page in the OPAC so that the
"pick up location" column isn't shown in the table of holds if there is
only one library defined.

To test, apply the patch and log into the OPAC as a user with one or
more holds.

 - In a system with more than one library defined the "Holds" tab of
   opac-user.pl should show a "Pick up location" column.

 - In a system with only one library defined there should be now "Pick
   up location" column.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2018-06-22 06:23:39 UTC
Thx, Owen!
Comment 11 Josef Moravec 2018-06-27 14:18:01 UTC
Created attachment 76516 [details] [review]
Bug 17869: Don't show pick-up library for list of holds in OPAC account when there is only one branch

This patch modifies the user summary page in the OPAC so that the
"pick up location" column isn't shown in the table of holds if there is
only one library defined.

To test, apply the patch and log into the OPAC as a user with one or
more holds.

 - In a system with more than one library defined the "Holds" tab of
   opac-user.pl should show a "Pick up location" column.

 - In a system with only one library defined there should be now "Pick
   up location" column.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 12 Nick Clemens 2018-06-29 21:02:14 UTC
Awesome work all!

Pushed to master for 18.11
Comment 13 Martin Renvoize 2018-07-02 08:12:36 UTC
Pushed to 18.05.x for 18.05.02, trivial bugfix.
Comment 14 Fridolin Somers 2018-07-04 07:54:41 UTC
Pushed to 17.11.x for 17.11.08